smartsens 2.0.0.0

Data Fields
smartsens_cfg_t Struct Reference

Smart Sens Click configuration object. More...

`#include <smartsens.h>`

## Data Fields
pin_name_t | scl
pin_name_t | sda
pin_name_t | miso
pin_name_t | mosi
pin_name_t | sck
pin_name_t | cs
pin_name_t | rst
pin_name_t | int_pin
uint32_t | i2c_speed
uint8_t | i2c_address
uint32_t | spi_speed
spi_master_mode_t | spi_mode
spi_master_chip_select_polarity_t | cs_polarity
smartsens_drv_t | drv_sel

## Detailed Description

Smart Sens Click configuration object.

Configuration object definition of Smart Sens Click driver.

## Field Documentation

## ◆ cs

pin_name_t cs

Chip select pin descriptor for SPI driver.

## ◆ cs_polarity

spi_master_chip_select_polarity_t cs_polarity

Chip select pin polarity.

## ◆ drv_sel

smartsens_drv_t drv_sel

Master driver interface selector.

## ◆ i2c_address

uint8_t i2c_address

I2C slave address.

## ◆ i2c_speed

uint32_t i2c_speed

I2C serial speed.

## ◆ int_pin

pin_name_t int_pin

Interrupt pin.

## ◆ miso

pin_name_t miso

Master input - slave output pin descriptor for SPI driver.

## ◆ mosi

pin_name_t mosi

Master output - slave input pin descriptor for SPI driver.

## ◆ rst

pin_name_t rst

Reset pin.

## ◆ sck

pin_name_t sck

Clock pin descriptor for SPI driver.

## ◆ scl

pin_name_t scl

Clock pin descriptor for I2C driver.

## ◆ sda

pin_name_t sda

Bidirectional data pin descriptor for I2C driver.

## ◆ spi_mode

spi_master_mode_t spi_mode

SPI master mode.

## ◆ spi_speed

uint32_t spi_speed

SPI serial speed.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/smartsens/lib_smartsens/include/smartsens.h